ServerEvents.recipes(event => {
    //dirts
    event.remove({ id: 'create:filling/grass_block' })
    event.custom({
        "type": "brewinandchewin:fermenting",
        "basefluid": {"count": 1000,"fluid": "minecraft:water"},
        "experience": 1.0,
        "fermentingtime": 9600,
        "ingredients": [
            {"item": "kubejs:cut_carpet"},
            {"item": "kubejs:cut_carpet"},
            {"item": "minecraft:bone_meal"},
            {"item": "minecraft:sugar"}
        ],
        "recipe_book_tab": "meals",
        "result": {"count": 1,"item": "minecraft:dirt"},"temperature": 4
    })
    event.remove({ output: 'farmersdelight:organic_compost' })
    event.custom({
        "type": "brewinandchewin:fermenting",
        "basefluid": {"count": 1000,"fluid": "minecraft:water"},
        "experience": 1.0,
        "fermentingtime": 9600,
        "ingredients": [
            {"item": "minecraft:dirt"},
            {"item": "kubejs:cut_carpet"},
            {"item": "kubejs:cut_carpet"},
            {"item": "minecraft:bone_block"}
        ],
        "recipe_book_tab": "meals",
        "result": {"count": 1,"item": "farmersdelight:organic_compost"},"temperature": 4
    })
    //seeds: washing flesh/coarse?
    event.recipes.farmersdelight.cutting(
        "kubejs:carpet_dust",
        "#kubejs:brushers",
        [
            Item.of("minecraft:wheat_seeds").withChance(0.4),
            Item.of("minecraft:beetroot_seeds").withChance(0.25),
            Item.of("minecraft:melon_seeds").withChance(0.2),
            Item.of("minecraft:pumpkin_seeds").withChance(0.1)
        ],
        "minecraft:item.brush.brushing.generic");
    event.recipes.farmersdelight.cutting(
        "minecraft:dirt",
        "#kubejs:brushers",
        [
            Item.of("supplementaries:flax_seeds").withChance(0.45),
            Item.of("immersiveengineering:seed").withChance(0.35),
            Item.of("farmersdelight:tomato_seeds").withChance(0.25),
            Item.of("farmersdelight:cabbage_seeds").withChance(0.15)
        ],
        "minecraft:item.brush.brushing.generic");
    event.recipes.farmersdelight.cutting(
        "minecraft:mud",
        "#kubejs:brushers",
        [
            Item.of("actuallyadditions:canola_seeds").withChance(0.2),
            Item.of("farmersdelight:onion").withChance(0.15),
            Item.of("farmersdelight:rice").withChance(0.05)
        ],
        "minecraft:item.brush.brushing.generic");
    event.recipes.farmersdelight.cutting(
        "minecraft:grass",
        "#kubejs:brushers",
        [
            Item.of("thermal:peanut_seeds").withChance(0.1),
            Item.of("thermal:eggplant_seeds").withChance(0.04),
            Item.of("thermal:corn_seeds").withChance(0.02)
        ],
        "minecraft:item.brush.brushing.generic");
    //melon seeeds + blizz cube for frost melon?
    //no need for coffee, rice, onion, strawberry, tomato
})